import React from "react";
import { Input } from "antd";

const { TextArea } = Input;

interface IvoryCustomTextAreaProps {
  placeholder?: string;
  className?: string;
  disabled?: boolean;
  max?: number;
}
const CustomTextArea = ({
  max = 6,
  placeholder,
  className,
}: IvoryCustomTextAreaProps) => (
  <TextArea
    rows={4}
    className={`ivry-input ivry ${className}`}
    placeholder={placeholder}
    autoSize={{ minRows: 5, maxRows: max }}
  />
);

export default CustomTextArea;
