import SuccessIcon from "../Icon/SuccessIcon";
import ModalShell from "./ModalShell";

interface PaymentModalProps {
  show: boolean;
  onCancel: () => void;
  message?: string;
  text?: string;
}
const PaymentModal = ({
  show,
  onCancel,
  message = "",
  text,
}: PaymentModalProps) => {
  return (
    <ModalShell show={show} cancel={onCancel} className="filter-modal">
      <div className="flex flex-col items-center text-[#2C3489]">
        <div className="mt-3">
          <SuccessIcon />
        </div>
        {text && <p className="font-semibold text-lg mb-3">{text}</p>}

        <p className="w-11/12 text-center">{message} </p>
      </div>
    </ModalShell>
  );
};
export default PaymentModal;
