import { lazy } from "react";
import { RouteConfig } from "./types";

/**  function to lazy-load routes */
const loadModules = (link: string) =>
  lazy(() => import(`../../modules/${link}`));

export const checkoutRoutes: RouteConfig[] = [
  {
    path: "/",
    Component: loadModules("FundWithCrypto"),
  },
  {
    path: "/redirect",
    Component: loadModules("Redirect"),
  },
  {
    path: "checkout/:id",
    Component: loadModules("Checkout"),
  },
  {
    path: "refund-wallet/:id",
    Component: loadModules("RefundForm"),
  },
  {
    path: "payment-status",
    Component: loadModules("PaymentStatus"),
  },
];
