import { Button } from "antd";
import { IVRYButtonProps } from "../types";

export default function GradientButton({
  children,
  className = "",
  onClick,
  loading,
  disabled,
  type,
}: IVRYButtonProps) {
  return (
    <Button
      size="large"
      className={`${className} w-full h-10 md:text-sm text-xs p-2 text-white bg-gradient-to-b from-[#5C369B] 
      to-[#2C3489] active:text-white rounded-md border-0 active:bg-[#2C3489] focus:bg-[#2C3489] hover:bg-gradient-to-b hover:from-[#5C369B] 
      hover:to-[#2C3489] hover:opacity-70`}
      onClick={onClick}
      loading={loading}
      disabled={disabled}
      style={{ color: "#fff" }}
    >
      {children}
    </Button>
  );
}
