import { Button } from "antd";
import { ButtonHTMLType } from "antd/lib/button/button";
import { CSSProperties } from "react";

interface IRedButtonProps {
  children: string;
  className?: string;
  onClick: () => void;
  loading?: boolean;
  disabled?: boolean;
  style?: CSSProperties;
  type?: ButtonHTMLType;
}

export default function RedButton({
  children,
  className = "",
  onClick,
  loading = false,
  disabled = false,
  type,
}: IRedButtonProps) {
  return (
    <Button
      size="large"
      className={`${className} redbtn w-full h-10 md:text-sm text-xs p-2 text-white hover:text-white bg-[#F50100] rounded-md border-0 hover:bg-[#F50100] active:bg-[#F50100] active:text-white focus:text-white focus:bg-[#F50100]`}
      onClick={onClick}
      loading={loading}
      disabled={disabled}
      htmlType={type}
    >
      {children}
    </Button>
  );
}
